Core - Task # 54229

Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API

Story # 54264 (New): As an Enterprise User | want to use Storages outside my webroot or on remote systems in order to structure my Files

according to my IT-Guidelines

Status: On Hold Priority: Should have

Author: Steffen Ritter Category: File Abstraction Layer (FAL)
Created: 2013-12-06 Assigned To: Steffen Ritter

Updated: 2015-06-15 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity: medium

Sprint Focus:

Subject: Refactor Processor Registry like the Extractor registry

Description

file processing might be different for external storages - therefore make the registry more flexible and driver aware...

Subtasks:

Task # 56773: Implement Processor for new ProcessorRegistry which wraps the old Process...
Task # 56774: Change the API of -->process to use the new ProcessingStuff

Task # 56775: Create Basic Registry and interfaces for kick-off

Under Review
On Hold
On Hold

Related issues:
related to Core - Task # 67754: Cleanup "crop" implementation New 2015-06-25

History

#1 - 2013-12-07 15:19 - Steffen Ritter
- Parent task set to #54264

#2 - 2014-02-20 17:14 - Steffen Ritter
- % Done changed from 100 to 0

- Estimated time set to 0.00

#3 - 2014-02-24 10:51 - Ingo Schmitt
- Estimated time changed from 0.00 to 16.00

#4 - 2014-02-26 14:27 - Steffen Ritter

What to do:

- Extract common things from Extractorinterface to FileProcessorInterface which apply for all extractors which only work several fileTypes or drivers

which the ExtractorInterface then extends
- getFileTypeRestrictions
- getDriverRestrictions
- getPriority

- Create Interface for FileProcessing
- canProcess should get an Configuratiolnterface and an File
**Interface should look like
$request = new ImageProcessRequest (implements Configurationinterface)

>setMaxWidth()

2015-08-04

1/3




—>setMaxHeight()

—>setCustemiMCentig();

S$file>process($request);

- Clone ExtractorRegistry and Create FileProcessorRegistry

- Create a FileProcessor wrapping the old FileProcessingService

- Remove usage of all "task" and configuration array for processing files

The current Tasks should beomce "these FileProcessors", in General each Tasks correspondends to one Configurationinterface implementation.

Internal cleanup in all these helper/processor whatever classes can come later - establishing the api is important now.

In addition we need to create the possibilty to allow "chaining" of processing - so a processed file can be use another processors result

#5 - 2014-02-28 23:42 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27958

#6 - 2014-03-01 14:53 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27958

#7 - 2014-03-01 15:02 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27958

#8 - 2014-03-01 15:10 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27958

#9 - 2014-03-01 16:16 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27958

#10 - 2014-03-11 13:43 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27958
#11 - 2014-03-11 16:04 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27958

#12 - 2014-03-21 11:54 - Ernesto Baschny

- Status changed from Under Review to On Hold
- Target version changed from 6.2.0 to 7.0

- Estimated time set to 0.00

#13 - 2014-03-21 11:54 - Ernesto Baschny
- Estimated time deleted (0.00)

#14 - 2014-12-23 19:48 - Mathias Schreiber
- Target version changed from 7.0 to 7.1 (Cleanup)

#15 - 2015-06-15 17:45 - Benjamin Mack
- Target version changed from 7.1 (Cleanup) to 7.4 (Backend)

2015-08-04

3/3


https://review.typo3.org/27958

